Package org.eclipse.mat.ui.internal.browser

# Class QueryHistoryProvider

java.lang.Object
org.eclipse.mat.ui.internal.browser.QueryBrowserProvider
org.eclipse.mat.ui.internal.browser.QueryHistoryProvider

public class QueryHistoryProvider extends QueryBrowserProvider

## Constructor Summary

Constructors
Constructor
Description
`QueryHistoryProvider(IQueryContext context, IPolicy policy)`

## Method Summary

Modifier and Type
Method
Description
`QueryBrowserPopup.Element[]`
`getElements()`
`QueryBrowserPopup.Element[]`
`getElementsSorted()`
history is ordered by typing
`String`
`getName()`

### Methods inherited from class org.eclipse.mat.ui.internal.browser.QueryBrowserProvider

`unsuitableSubjects`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QueryHistoryProvider

public QueryHistoryProvider(IQueryContext context, IPolicy policy)

## Method Details

### getElements

public QueryBrowserPopup.Element[] getElements()

Specified by:
  `getElements` in class `QueryBrowserProvider`

### getName

public String getName()

Specified by:
  `getName` in class `QueryBrowserProvider`

### getElementsSorted

public QueryBrowserPopup.Element[] getElementsSorted()
history is ordered by typing

Overrides:
  `getElementsSorted` in class `QueryBrowserProvider`